clang 10.0.0git

Classes | Public Member Functions | Public Attributes | List of all members
clang::DeclarationNameLoc Struct Reference

DeclarationNameLoc - Additional source/type location info for a declaration name. More...

`#include "clang/AST/DeclarationName.h"`

Collaboration diagram for clang::DeclarationNameLoc:
[legend]

## Classes
struct | CXXLitOpName
struct | CXXOpName
struct | NT

## Public Member Functions
| DeclarationNameLoc (DeclarationName Name)
| DeclarationNameLoc ()

## Public Attributes
union {
struct NT NamedType
struct CXXOpName CXXOperatorName
struct CXXLitOpName CXXLiteralOperatorName
}; |

## Detailed Description

DeclarationNameLoc - Additional source/type location info for a declaration name.

Needs a DeclarationName in order to be interpreted correctly.

Definition at line 650 of file DeclarationName.h.

## Constructor & Destructor Documentation

## ◆ DeclarationNameLoc() [1/2]

DeclarationNameLoc::DeclarationNameLoc | ( | DeclarationName | Name | ) |

Definition at line 375 of file DeclarationName.cpp.

## ◆ DeclarationNameLoc() [2/2]

clang::DeclarationNameLoc::DeclarationNameLoc | ( |  | ) |
| inline

Definition at line 685 of file DeclarationName.h.

References memset().

## Member Data Documentation

## ◆ @30

union { ... }

## ◆ CXXLiteralOperatorName

struct CXXLitOpName clang::DeclarationNameLoc::CXXLiteralOperatorName

Definition at line 679 of file DeclarationName.h.

Referenced by clang::DeclarationNameInfo::getCXXLiteralOperatorNameLoc(), and clang::DeclarationNameInfo::setCXXLiteralOperatorNameLoc().

## ◆ CXXOperatorName

struct CXXOpName clang::DeclarationNameLoc::CXXOperatorName

Definition at line 678 of file DeclarationName.h.

Referenced by clang::DeclarationNameInfo::getCXXOperatorNameRange(), clang::TreeTransform< Derived >::RebuildCXXOperatorCallExpr(), and clang::DeclarationNameInfo::setCXXOperatorNameRange().

## ◆ NamedType

struct NT clang::DeclarationNameLoc::NamedType

Definition at line 677 of file DeclarationName.h.

Referenced by clang::DeclarationNameInfo::getNamedTypeInfo(), and clang::DeclarationNameInfo::setNamedTypeInfo().

The documentation for this struct was generated from the following files:

- include/clang/AST/DeclarationName.h
- lib/AST/DeclarationName.cpp